Mail Archives: djgpp-workers/2004/11/16/03:27:49
On Monday 15 November 2004 21:35, Eli Zaretskii wrote:
> > From: Andris Pavenis <pavenis AT latnet DOT lv>
> > Date: Mon, 15 Nov 2004 09:43:28 +0200
> > Cc: "Eli Zaretskii" <eliz AT gnu DOT org>
> >
> > Doesn't seem to be enough.
> >
> > gdb/observer.sh set IFS=: and as result I had to edit $texi not to
> > include this symbol
>
> It didn't fail for me. Please post the relevant fragment from the
> build session, so I could see the command that failed and the error
> message(s).
This may be related to versions of bash etc. I used bash-2.0.5b
(from same binary archive which I uploaded some time ago for betas/v2gnu
as version from clio.rice.edu had some serious problems)
I found the reason why observer.sh failed. Setting IFS=: causes
$texi be splitted in inapropriate place when it's DOS style absolute
path like c:/something/...
I editted observer.sh to replace that to /dev/c/... , which fixed the
problems.
--- observer.sh~1 2004-09-01 18:00:28.000000000 +0000
+++ observer.sh 2004-11-14 11:51:24.000000000 +0000
@@ -8,6 +8,9 @@
lang=$1 ; shift
texi=$1 ; shift
+if ! [ -z $DJGPP ] ; then
+ texi=`echo $texi | sed -e 's#^\([a-zA-Z]\):/#/dev/\1/#'`
+fi
o=$1 ; shift
echo "Creating ${o}-tmp" 1>&2
rm -f ${o}-tmp
>
> > main (argc=0, argv=0x0) at gdb.c:30
> > 30 memset (&args, 0, sizeof args);
> > (top-gdb) n
> > During symbol reading, Incomplete CFI data; unspecified registers at
> > 0x0000174c.
>
> Yes, I see this, too. Will look into this.
>
> > I didn't test this time with gdb-6.3, but at least gdb-6.2.1 didn't build
> > unless I had ncurses installed. pdcurses was not Ok.
>
> Again, please let me see the error message(s) when you try to build
> with pdcurses.
I did such tests last time with gdb-6.2.1. Now I simply had ncurses-5.4
installed. Building gdb-6.2.1 failed also when no curses was available at all,
as some of files which uses curses were attempted to build. I haven't tested
that with gdb-6.3. Maybe this problem is no more there.
Also it seems that one debug information section is still left out of linker
script (gdb warning when loading executable). Adding it to djgpp-x.djl
in gcc-3.4.3 directory and relinking program fixed that. I'll perhaps check
that more later.
Andris
- Raw text -